Nightly Build Error

4 posts / 0 new
Last post
wta12
Offline
Joined: 2017-05-05
Nightly Build Error

Hi,

I installed JModelica 1.17 and successfully ran demo files and pyfmi check package. I want to use nightly build r9606 so i copy `install` folder from nightly build zip to installed JModelica folder. After that, i got error "ImportError: cannot import name load_fmu" when i try to import pyjmi or do test installation. How to solve this issue ?

Thanks

jmattsson
Offline
Joined: 2009-10-18
New release

Hi,

There was a change in the platform a few months ago that made the nightly builds incompatible with the 1.17 release. There ought to have been a note about that on the nightly builds page - sorry about that.

We have just released version 2.0 - updating should solve your problem.

/Jesper

wta12
Offline
Joined: 2017-05-05
Re: jmodelica 2.0

I installed released 2.0 on window 10 x64 and try to check package. It still misses wxPython, Assimulo and jpype. How to add missing dependencies to that. I had miniconda for python 3.5 before so i can not use pip at root folder

Thanks

AttachmentSize
Capture.PNG 30.09 KB
jmattsson
Offline
Joined: 2009-10-18
check_packages problem

The installer now contains a bundled Python installation, and that will be used by default.

The "--" for assimulo and jpype only means that those packages do not expose a version field. We should probably change that string to "n/a" or something similar.

The warning for wxPython is a bug in the check_packages() function. The package has been renamed to only "wx", but since we only use it throught matplotlib, we did not notice that name change. Sorry about that.

In all, it should work fine.

Jesper

Login or register to post comments